--- title: "Get workspace details" slug: "maiu-workspace-details" updated: 2026-09-17T10:12:43Z published: 2026-09-17T10:12:43Z canonical: "api.ncloud-docs.com/maiu-workspace-details" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get workspace details Available in VPC Get workspace details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name} | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Workspace details | | `result.workspaceName` | String | - | Workspace name | | `result.workspaceUrl` | String | - | Workspace URL | | `result.bucketName` | String | - | Integrated Object Storage bucket name | | `result.monthlyAnalysisCount` | Integer | - | Monthly analysis count | | `result.createdUserName` | String | - | Creator name | | `result.createdTime` | String | - | Creation date and time - ISO 8601 format | | `result.updatedUserName` | String | - | Modifier name | | `result.updatedTime` | String | - | Modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "workspaceName": "my-workspace", "workspaceUrl": "https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace", "bucketName": "my-bucket", "monthlyAnalysisCount": 150, "createdUserName": "username", "createdTime": "2026-03-18T10:30:00", "updatedUserName": "username", "updatedTime": "2026-03-18T10:30:00" } } ```